ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/rename/{protocolId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocols/rename/{protocolId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"newName": "string"
}'Bodyapplication/json
Whether the PDF report should be saved to the specified path upon protocol completion.
Whether the Json report data should be saved to the specified path upon protocol completion.
Whether the pipetting csv data should be saved to the specified path upon protocol completion.
Whether the pipetting data should be split into separate csv files per step.
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/report-settings/{protocolId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocols/report-settings/{protocolId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"savePdf": true,
"saveJson": true,
"savePipettingCsv": true,
"pipettingCsvPerStep": true,
"reportPath": "string"
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/protocols/batch-delete
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/protocols/batch-delete' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '[
0
]'